SHELL = /bin/sh
# decide on compiler and flags depending on host
CC = g++
CFLAGS=-fPIC -pthread
ALL_CFLAGS = -Wall -g $(CFLAGS)

CROOT= root -l -b -q 


LIBS = $(PAM_LIB)/libyoda.so $(PAM_LIB)/libDarthVader.so $(PAM_LIB)/libPamLevel2.so `root-config --cflags --glibs`   
INCS =-I `root-config --incdir`  -I$(PAM_INC) -I$(PAM_INC)/yoda/ -I./ 
EXE = ToFreproc.exe
# pattern rule to compile object files from C files 
# might not work with make programs other than GNU make
%.o : %.cpp Makefile
	$(CC) $(ALL_CFLAGS) $(INCS) -c $< -o $@  

all: $(EXE)

OBJS1 = ToFreproc.o 
ToFreproc.exe: $(OBJS1) Makefile
	$(CC) $(ALL_CFLAGS) $(INCS) $(OBJS1) $(LIBS) -o ToFreproc

.PHONY : clean
clean:
	rm -f *.o *.so *.exe ToFreproc
